<div role="form">
	<div class="box-body">
		<field id="name" label="Nome" grid-class="12 6 4" placeholder="Informe o Nome"
			model="bcCtrl.billingCycle.name" readonly="bcCtrl.tabDelete"></field>

		<field id="month" label="Mês" grid-class="12 6 4" placeholder="Informe o Mês"
			model="bcCtrl.billingCycle.month" type="number" readonly="bcCtrl.tabDelete"></field>

		<field id="year" label="Ano" grid-class="12 6 4" placeholder="Informe o Ano"
			model="bcCtrl.billingCycle.year" type="number" readonly="bcCtrl.tabDelete"></field>

		<div class="col-xs-12">
			<fieldset>
				<legend>Resumo</legend>
				<div ng-include="'billingCycle/summary.html'"></div>
			</fieldset>
		</div>

		<div class="col-xs-12 col-sm-6">
			<fieldset>
				<legend>Créditos</legend>
				<div ng-include="'billingCycle/creditList.html'"></div>
			</fieldset>
		</div>

		<div class="col-xs-12 col-sm-6">
			<fieldset>
				<legend>Débitos</legend>
				<div ng-include="'billingCycle/debtList.html'"></div>
			</fieldset>
		</div>
	</div>
	<div class="box-footer">
		<button class="btn btn-primary" ng-click="bcCtrl.create()"
			ng-if="bcCtrl.tabCreate">Incluir</button>

		<button class="btn btn-info" ng-click="bcCtrl.update()"
			ng-if="bcCtrl.tabUpdate">Alterar</button>

		<button class="btn btn-danger" ng-click="bcCtrl.delete()"
			ng-if="bcCtrl.tabDelete">Excluir</button>
			
		<button class="btn btn-default" ng-click="bcCtrl.refresh()">Cancelar</button>
	</div>
</div>